Projects
Add a note to a project
Creates a new note for a project. Returns the created note ID. Note is automatically associated with the project and current user.
Parameters:
-
projectId(path, required): The project ID. -
note(body, required): The Note entity (EntityType and EntityID are set automatically).
POST
/
Project
/
{projectId}
/
Note
Add a note to a project
curl --request POST \
--url https://api.plantpredict.terabase.energy/Project/{projectId}/Note \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contents": "Doc Demo Note"
}
'import requests
url = "https://api.plantpredict.terabase.energy/Project/{projectId}/Note"
payload = { "contents": "Doc Demo Note" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contents: 'Doc Demo Note'})
};
fetch('https://api.plantpredict.terabase.energy/Project/{projectId}/Note', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 34517
}{
"message": "The request is invalid.",
"modelState": {
"latitude": [
"The field Latitude must be between -90 and 90."
]
}
}"Project not found.""An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Path Parameters
Body
application/json
Response
Created note ID
⌘I
Add a note to a project
